#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	HTML
%define		pnam	Tidy
%include	/usr/lib/rpm/macros.perl
Summary:	HTML::Tidy - (X)HTML validation in a Perl object
Summary(pl.UTF-8):	HTML::Tidy - sprawdzanie poprawności (X)HTML-a w obiekcie Perla
Name:		perl-HTML-Tidy
Version:	1.60
Release:	2
License:	Artistic v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/HTML-Tidy-%{version}.tar.gz
# Source0-md5:	03bafb9a0a2a23629cf9649abb2b72ab
URL:		http://search.cpan.org/dist/HTML-Tidy/
BuildRequires:	libtidyp-devel
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-Test-Simple
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::Tidy is an HTML checker in a handy dandy object. It's meant as a
replacement for HTML::Lint. If you're currently an HTML::Lint user
looking to migrate, see the section /Converting from HTML::Lint.

%description -l pl.UTF-8
HTML::Tidy to narzędzie do sprawdzania poprawności HTML-a postaci
poręcznego obiektu. Jest pomyślany jako zamiennik HTML::Lint.
Użytkownikom modułu HTML::Lint, chcącym się przenieść, przyda się
lektura sekcji /Converting from HTML::Lint.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/webtidy
%{perl_vendorarch}/HTML/Tidy.pm
%dir %{perl_vendorarch}/HTML/Tidy
%{perl_vendorarch}/HTML/Tidy/Message.pm
%dir %{perl_vendorarch}/auto/HTML/Tidy
%attr(755,root,root) %{perl_vendorarch}/auto/HTML/Tidy/Tidy.so
%{_mandir}/man3/HTML::Tidy*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTML-Tidy.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 91c8f6c
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> 20bc2dd
- updated to 1.60

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 3457025
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d516e19
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 4f9552b
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 97fc688
- release 8 (by relup.sh)

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 26b8d13
- x32 rebiild
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> a0833bd
- x32 rebuild
- release 6 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> b2f8c96
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d575893
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 00155b0
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ecf39dc
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Mon Jul 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 4448f89
- pl
- use package names where possible

* Wed Oct 12 2011 hawk <hawk@pld-linux.org> b5d5eae
- release 2

* Sun Feb 13 2011 Elan Ruusamäe <glen@pld-linux.org> 0818029
- created using pldcpan and some deps

